package cz.frantovo.nekurak.web;

import cz.frantovo.nekurak.dto.Podnik;
import java.util.Collection;
import java.util.Date;

/**
 *
 * @author fiki
 */
public class Atom {

	private HledacSluzby hledac = new HledacSluzby();
	private Collection<Podnik> podniky;

	public Collection<Podnik> getPodniky() {
		if (podniky == null) {
			podniky = hledac.getPodnikEJB().getPodniky();
		}
		return podniky;
	}

	public Date getDatumAktualizace() {
		for (Podnik p : getPodniky()) {
			return p.getDatum();
		}
		return new Date();
	}
}
