<?xml version="1.0" encoding="UTF-8"?>
<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
		  xmlns:c="http://java.sun.com/jsp/jstl/core"
		  xmlns:fmt="http://java.sun.com/jsp/jstl/fmt"
		  xmlns:fn="http://java.sun.com/jsp/jstl/functions"
		  xmlns:nk="urn:jsptagdir:/WEB-INF/tags/nekurak"
		  version="2.0">

	<jsp:useBean id="odeslatKomentar" class="cz.frantovo.nekurak.web.OdeslatKomentar" scope="request"/>
	<jsp:useBean id="komentar" class="cz.frantovo.nekurak.dto.Komentar" scope="request"/>

	<!--
		Přijímá komentáře odeslané jako klasický HTTP formulář.
		AJAXové komentáře se zpracovávají servletem.
		TODO: sloučit do servletu
	-->

	<fmt:message key="komentar.odeslat.nadpis" var="titulekStranky"/>
	<nk:stranka titulek="${titulekStranky}">

		<h1><c:out value="${titulekStranky}"/></h1>

		<jsp:setProperty name="komentar" property="podnik" value="${param.podnik}"/>
		<jsp:setProperty name="komentar" property="nadpis" value="${param.nadpis}"/>
		<jsp:setProperty name="komentar" property="komentar" value="${param.komentar}"/>
		<jsp:setProperty name="komentar" property="typ" value="${param.typ}"/>
		<jsp:setProperty name="odeslatKomentar" property="komentar" value="${komentar}"/>

		<c:choose>
			<c:when test="${odeslatKomentar.ok}">
				<p class="informacniHlaska">
					<fmt:message key="komentar.odeslat.ok"/>,
					<a href="?akce=detail&amp;amp;podnik=${komentar.podnik}">
						<fmt:message key="komentar.odeslat.pokracujte"/>
					</a>.
				</p>
			</c:when>
			<c:otherwise>
				<p class="chybovaHlaska"><fmt:message key="komentar.odeslat.chyba"/></p>
			</c:otherwise>
		</c:choose>

	</nk:stranka>
</jsp:root>
