package cz.frantovo.nekurak.web;

import cz.frantovo.nekurak.dto.Komentar;
import cz.frantovo.nekurak.vyjimky.KomentarovaVyjimka;
import cz.frantovo.nekurak.vyjimky.TexyVyjimka;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author fiki
 */
public class OdeslatKomentar {

	private HledacSluzby hledac = new HledacSluzby();
	private static final Logger log = Logger.getLogger(OdeslatKomentar.class.getSimpleName());
	private boolean ok = false;

	public void setKomentar(Komentar k) throws TexyVyjimka {
		try {
			hledac.getPodnikEJB().komentuj(k, true);
			ok = true;
		} catch (KomentarovaVyjimka e) {
			log.log(Level.WARNING, "chyba při vkládání komentáře", e);
		}
	}

	public boolean isOk() {
		return ok;
	}
}
