<?xml version="1.0" encoding="UTF-8"?>
<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
		  xmlns:c="http://java.sun.com/jsp/jstl/core"
		  xmlns:fmt="http://java.sun.com/jsp/jstl/fmt"
		  xmlns:fn="http://java.sun.com/jsp/jstl/functions"
		  xmlns:nk="urn:jsptagdir:/WEB-INF/tags/nekurak"
		  version="2.0">

	<c:choose>
		<c:when test="${param.odhlasit == 'ano'}">
			<fmt:message key="prihlaseni.nadpis.odhlaseni" var="titulekStranky"/>
			<nk:stranka titulek="${titulekStranky}">
				<p><fmt:message key="prihlaseni.odhlaseniUspesne"/></p>
			</nk:stranka>
		</c:when>
		<c:otherwise>
			<fmt:message key="prihlaseni.nadpis" var="titulekStranky"/>
			<nk:stranka titulek="${titulekStranky}">
				<h1><c:out value="${titulekStranky}"/></h1>
				<p><fmt:message key="prihlaseni.zadejte"/></p>

				<c:if test="${param.chyba == 'ano'}">
					<p class="chybovaHlaska"><fmt:message key="prihlaseni.chyba"/></p>
				</c:if>

				<form method="post" action="j_security_check">
					<fieldset>
						<label><fmt:message key="prihlaseni.jmeno"/>: <input type="text" name="j_username"/></label><br/>
						<label><fmt:message key="prihlaseni.heslo"/>: <input type="password" name="j_password"/></label><br/>
						<button value="submit"><fmt:message key="prihlaseni.tlacitko"/></button>
					</fieldset>
				</form>
			</nk:stranka>
		</c:otherwise>
	</c:choose>


</jsp:root>
