<?xml version="1.0" encoding="UTF-8"?>
<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
		  xmlns:c="http://java.sun.com/jsp/jstl/core"
		  xmlns:fmt="http://java.sun.com/jsp/jstl/fmt"
		  xmlns:fn="http://java.sun.com/jsp/jstl/functions"
		  xmlns:nkfn="/WEB-INF/nekurakFunkce"
		  version="2.0">

	<jsp:directive.attribute name="podnik" type="cz.frantovo.nekurak.dto.Podnik" required="true"/>

	<div id="fotkyPodniku${podnik.id}">
		<c:forEach var="fotka" items="${podnik.fotky}">
			<p>
				<a href="${nkfn:fotka(fotka.id, false)}">
					<img src="${nkfn:fotka(fotka.id, true)}" alt="fotka" title="${fn:escapeXml(fotka.popis)}"/>
				</a>
			</p>
		</c:forEach>
		<p><img src="grafika/fotkaPodnikuZadne.png" alt="žádné další fotografie"/></p>
	</div>

	<c:if test="${nkfn:maFotky(podnik)}">
		<script type="text/javascript">
		fotkyPodniku.aktivuj(${podnik.id});
		</script>
	</c:if>
</jsp:root>